




---@type string directory of the mod.
local modDirectory = g_currentModDirectory or ""
---@type string name of the mod.
local modName = g_currentModName or "unknown"

---Init the mod.
local function init()
print(modName .. " - APalletSilo init");
    g_placeableSpecializationManager:addSpecialization("aPalletSilo", "APalletSilo", modDirectory .. "scripts/aPalletSilo.lua", nil)
    
    -- load event
    local path = modDirectory .. "scripts/SpawnPalletsAtSiloEvent.lua";
    source(path)
    
print(modName .. " - SiloObjectFillLevelSpezialisation init");
    g_placeableSpecializationManager:addSpecialization("siloObjectFillLevelSpezialisation", "SiloObjectFillLevelSpezialisation", modDirectory .. "scripts/siloObjectFillLevelSpezialisation.lua", nil)
    
print(modName .. " - SiloDisplaySpezialisation init");
    g_placeableSpecializationManager:addSpecialization("siloDisplaySpezialisation", "SiloDisplaySpezialisation", modDirectory .. "scripts/siloDisplaySpezialisation.lua", nil)
end

init()